import dynamix_sdk.base as _base


class CloudapiComputeDiskResizeResultBool(_base.BaseAPIResultBool):
    pass


class CloudapiComputeDiskResizeProtocol(_base.BasePostAPIFunctionProtocol):
    def disk_resize(
        self,
        *,
        vm_id: int,
        disk_id: int,
        disk_size_gb: int,
    ) -> CloudapiComputeDiskResizeResultBool:
        ...
